package com.jxdinfo.hussar.core.eventbus.handler;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.constant.RequestCount;
import com.jxdinfo.hussar.core.eventbus.adpter.EventAdapter;
import com.jxdinfo.hussar.core.eventbus.event.BaseEvent;
import com.jxdinfo.hussar.core.eventbus.event.LogEvent;
import com.jxdinfo.hussar.core.exception.EventMsgEnum;
import com.jxdinfo.hussar.core.util.SecurityUtil;
import java.util.List;
import org.springframework.stereotype.Component;

@Component
public class LogEventHandler extends EventAdapter<LogEvent> {
  public EventMsgEnum process(LogEvent logEvent) {
    if (RequestCount.getCount().intValue() < 30)
      return EventMsgEnum.OVER_LIMIT; 
    String str = logEvent.getName();
    str = logEvent.getClassName();
    str = logEvent.getMethodName();
    List list;
    if ((list = SecurityUtil.checkData(null)) != null && list.size() > 0)
      return EventMsgEnum.NORMAL; 
    return EventMsgEnum.NORMAL;
  }
  
  private String final = "SELECT COUNT(*) AS NUM FROM SYS_USERS_SSS";
}
